package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 学团注册支付
 */
public class RegisterPayDto {
    //总金额
    private BigDecimal amount;
    //报名id
    private Integer registerId;
    //打包商品ids
    private String goodsGroupIds;
    //单独商品ids
    private String goodsIds;
    //教谱ids
    private String otherGoodsIds;
    //乐器id->type
    private Map<Long, String> goodsGroups;

    //是否余额支付
    private Boolean isUseBalancePayment = false;

    @ApiModelProperty(value = "可选课程的key",required = false)
    private List<String> courseKeys;

    @ApiModelProperty(value = "新的乐团课程形态",required = false)
    private List<Integer> newCourse;

    public Integer getRegisterId() {
        return registerId;
    }

    public void setRegisterId(Integer registerId) {
        this.registerId = registerId;
    }

    public String getGoodsGroupIds() {
        return goodsGroupIds;
    }

    public void setGoodsGroupIds(String goodsGroupIds) {
        this.goodsGroupIds = goodsGroupIds;
    }

    public String getGoodsIds() {
        return goodsIds;
    }

    public void setGoodsIds(String goodsIds) {
        this.goodsIds = goodsIds;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getOtherGoodsIds() {
        return otherGoodsIds;
    }

    public void setOtherGoodsIds(String otherGoodsIds) {
        this.otherGoodsIds = otherGoodsIds;
    }

	public Boolean getIsUseBalancePayment() {
		return isUseBalancePayment;
	}

	public void setIsUseBalancePayment(Boolean isUseBalancePayment) {
		this.isUseBalancePayment = isUseBalancePayment;
	}

    public Map<Long, String> getGoodsGroups() {
        return goodsGroups;
    }

    public void setGoodsGroups(Map<Long, String> goodsGroups) {
        this.goodsGroups = goodsGroups;
    }

    public List<String> getCourseKeys() {
        return courseKeys;
    }

    public void setCourseKeys(List<String> courseKeys) {
        this.courseKeys = courseKeys;
    }

    public List<Integer> getNewCourse() {
        return newCourse;
    }

    public void setNewCourse(List<Integer> newCourse) {
        this.newCourse = newCourse;
    }
}
